## cilium-cli 0.18.6

=== vendor/github.com/cilium/stream/Makefile ===
.PHONY: all build test test-race bench

all: build test test-race bench

build:
	go build ./...

test:
	go test ./... -cover

test-race:
	go test -race ./...

bench:
	go test ./... -bench . -test.run xxx
