## cilium-cli 0.15.6

=== debian/changelog ===
cilium-cli (0.15.6-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:34:05 +0200

cilium-cli (0.15.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.6

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Aug 2023 17:55:39 +0200

cilium-cli (0.15.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.5

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Aug 2023 14:38:24 +0200

cilium-cli (0.15.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 14:57:22 +0200

cilium-cli (0.15.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 16:40:39 +0200

cilium-cli (0.15.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 29 Jun 2023 10:42:37 +0200

cilium-cli (0.14.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.14.8

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 11:47:50 +0200

cilium-cli (0.14.7-0kali1) kali-dev; urgency=medium

  * Add debian/source/include-binaries
  * New upstream version 0.14.7
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Jun 2023 10:52:35 +0200

cilium-cli (0.13.2-0kali2) kali-dev; urgency=medium

  * Add superficial test

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Apr 2023 16:34:02 +0200

cilium-cli (0.13.2-0kali1) kali-dev; urgency=medium

  * Initial release
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Apr 2023 17:50:29 +0200
