=== debian/control ===
Source: cilium-cli
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
	           ca-certificates,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/cilium/cilium-cli
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cilium/cilium-cli

Package: cilium-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Cilium CLI (program)
 This package contains a CLI to install, manage & troubleshoot Kubernetes
 clusters running Cilium.
