=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	rm -rf _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	mkdir -p _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	cp -r connectivity/manifests/* _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	rm -rf _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	mkdir -p _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	cp connectivity/check/assets/cacert.pem _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	cp defaults/imagedigests.json _build/src/github.com/cilium/cilium-cli/defaults
	cp sysdump/eventSummary.html _build/src/github.com/cilium/cilium-cli/sysdump
	cp vendor/github.com/cilium/charts/*.tgz _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/charts
	cp -r vendor/k8s.io/kubectl/pkg/util/i18n/translations _build/src/github.com/cilium/cilium-cli/vendor/k8s.io/kubectl/pkg/util/i18n

override_dh_auto_install:
	dh_auto_install -- --no-source
	rm $(CURDIR)/debian/cilium-cli/usr/bin/add-image-digests

override_dh_dwz:

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/containerd 
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/docker/cli
	cp vendor/github.com/docker/cli/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/docker/cli
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/docker/docker
	cp vendor/github.com/docker/docker/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/docker/docker
