## cilium-cli 0.18.5

=== debian/changelog ===
cilium-cli (0.18.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.5

 -- Sophie Brun <sophie@kali.org>  Thu, 03 Jul 2025 14:53:33 +0200

cilium-cli (0.18.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.4
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Jun 2025 13:56:53 +0200

cilium-cli (0.18.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.3
  * Refresh patches
  * Update debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Apr 2025 15:39:52 +0200

cilium-cli (0.18.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.2
  * Update installation for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Apr 2025 11:02:20 +0200

cilium-cli (0.16.24-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.24
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 Jan 2025 15:45:08 +0100

cilium-cli (0.16.23-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.23
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 11:55:54 +0100

cilium-cli (0.16.22-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.22

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 15:59:46 +0100

cilium-cli (0.16.21-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.21
  * Fix debian/rules for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Dec 2024 14:16:18 +0100

cilium-cli (0.16.19-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.19

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Oct 2024 16:28:40 +0200

cilium-cli (0.16.17-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.17

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Sep 2024 16:40:48 +0200

cilium-cli (0.16.16-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.16
  * Refresh patches
  * Update debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 16:56:51 +0200

cilium-cli (0.16.13-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.13

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Jul 2024 13:47:07 +0200

cilium-cli (0.16.11-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.11

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Jul 2024 17:23:33 +0200

cilium-cli (0.16.10-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.10

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 14:43:39 +0200

cilium-cli (0.16.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.8

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 May 2024 09:29:14 +0200

cilium-cli (0.16.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.3
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Mar 2024 10:30:44 +0100

cilium-cli (0.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.0
  * Adapt debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Mar 2024 15:17:46 +0100

cilium-cli (0.15.22-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.22

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Feb 2024 14:20:07 +0100

cilium-cli (0.15.20-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.20

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 11:38:44 +0100

cilium-cli (0.15.19-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.19

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Dec 2023 15:28:47 +0100

cilium-cli (0.15.17-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.17

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Dec 2023 16:07:32 +0100

cilium-cli (0.15.14-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.14

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Nov 2023 10:08:15 +0100

cilium-cli (0.15.13-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.13

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 10:38:58 +0100

cilium-cli (0.15.11-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.11

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Oct 2023 10:25:54 +0200

cilium-cli (0.15.10-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.10

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Oct 2023 15:16:29 +0200

cilium-cli (0.15.9-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.9

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Oct 2023 15:48:40 +0200

cilium-cli (0.15.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.8

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Sep 2023 15:58:38 +0200
