## cilium-cli 0.18.6

=== debian/changelog ===
cilium-cli (0.18.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.6

 -- Sophie Brun <sophie@kali.org>  Wed, 06 Aug 2025 17:38:41 +0200
