=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cilium-cli
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-	           ca-certificates,
+	       ca-certificates,
                golang-any,
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/cilium-cli
+Vcs-Git: https://gitlab.com/kalilinux/packages/cilium-cli.git
 Homepage: https://github.com/cilium/cilium-cli
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/cilium-cli
