=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cp vendor/github.com/cilium/charts/*.tgz _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/charts
	cp -r vendor/k8s.io/kubectl/pkg/util/i18n/translations _build/src/github.com/cilium/cilium-cli/vendor/k8s.io/kubectl/pkg/util/i18n
	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/cilium-cli/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/cilium-cli/vendor/github.com/go-openapi/spec/
	cp vendor/github.com/cilium/cilium/cilium-cli/sysdump/eventSummary.html _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/sysdump/
	rm -rf _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests
	mkdir -p _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests/ _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
	cp -r vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_dwz:

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/containerd
