=== debian/tests/control ===
Test-Command: cilium help
Restrictions: superficial, allow-stderr
