=== debian/changelog ===
cilium-cli (0.19.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.19.1
  * Use golang 1.25
  * Fix debian/rules for new upstream release

 -- Sophie Brun <sophie@kali.org>  Thu, 19 Feb 2026 16:12:25 +0100

cilium-cli (0.18.9-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.9

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Dec 2025 14:01:32 +0100

cilium-cli (0.18.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.8
  * Refresh patches
  * Use Go version 24

 -- Sophie Brun <sophie@kali.org>  Mon, 10 Nov 2025 15:46:25 +0100
