=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
 	       ca-certificates,
-               golang-any,
+#               golang-any,
+	       golang-1.25,
+	       golang-1.25-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://gitlab.com/kalilinux/packages/cilium-cli
 Vcs-Git: https://gitlab.com/kalilinux/packages/cilium-cli.git
 Homepage: https://github.com/cilium/cilium-cli
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/cilium-cli
 
 Package: cilium-cli
