=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export GOCACHE=$(CURDIR)/_build
 export GOPATH=$(CURDIR)/_build
 export GOPROXY=off
+export PATH := /usr/lib/go-1.25/bin:$(PATH)
 
 
 %:
@@ -19,6 +20,9 @@
 	mkdir -p _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
 	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests/ _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
 	cp -r vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl
+	cp -r vendor/github.com/santhosh-tekuri/jsonschema/v6/metaschemas _build/src/github.com/cilium/cilium-cli/vendor/github.com/santhosh-tekuri/jsonschema/v6/
+	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/check/assets _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/check
+	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/check/manifests _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/check
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
